<?php
  class ItemBuffer {
  private $buffer;

  function Add_item($_item) {
      //$this->buffer[] = array($_item[0],$_item[1]);
      $this->buffer[] = $_item;
  }
  function Load_item($_position,$_item){
      return $this->buffer[$_position][$_item];
  }
  function Length_buffer() {
      return count($this->buffer);
  }

}
?>
